Bug 689756 - Kernel header problem on PPC (32bit), 64bit works
Kernel header problem on PPC (32bit), 64bit works
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openbios (Show other bugs)
15
powerpc Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-22 07:37 EDT by Karsten Hopp
Modified: 2013-01-09 18:41 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 10:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2011-03-22 07:37:49 EDT
Description of problem:
While trying to build the openbios package on PPC I've noticed that there seems to be a problem with the kernel headers:

 HOSTCC host/kernel/bootstrap.o
In file included from /usr/include/asm/ptrace.h:27:0,
                 from /usr/include/asm/sigcontext.h:11,
                 from /usr/include/bits/sigcontext.h:28,
                 from /usr/include/signal.h:339,
                 from ../kernel/bootstrap.c:13:
/usr/include/linux/types.h:27:1: error: unknown type name '__u16'
/usr/include/linux/types.h:28:1: error: unknown type name '__u16'
/usr/include/linux/types.h:29:1: error: unknown type name '__u32'
/usr/include/linux/types.h:30:1: error: unknown type name '__u32'
/usr/include/linux/types.h:31:1: error: unknown type name '__u64'
/usr/include/linux/types.h:32:1: error: unknown type name '__u64'
/usr/include/linux/types.h:34:1: error: unknown type name '__u16'
/usr/include/linux/types.h:35:1: error: unknown type name '__u32'
In file included from /usr/include/asm/sigcontext.h:11:0,
                 from /usr/include/bits/sigcontext.h:28,
                 from /usr/include/signal.h:339,
                 from ../kernel/bootstrap.c:13:
/usr/include/asm/ptrace.h:201:2: error: unknown type name '__u32'
/usr/include/asm/ptrace.h:202:2: error: unknown type name '__u32'
/usr/include/asm/ptrace.h:203:2: error: unknown type name '__u32'
/usr/include/asm/ptrace.h:204:2: error: unknown type name '__u32'
/usr/include/asm/ptrace.h:205:2: error: unknown type name '__u32'
/usr/include/asm/ptrace.h:206:2: error: unknown type name '__u32'
/usr/include/asm/ptrace.h:207:2: error: unknown type name '__u64'
/usr/include/asm/ptrace.h:223:2: error: unknown type name '__u32'
/usr/include/asm/ptrace.h:224:2: error: unknown type name '__u32'
/usr/include/asm/ptrace.h:225:2: error: unknown type name '__u32'
/usr/include/asm/ptrace.h:226:2: error: unknown type name '__u32'
/usr/include/asm/ptrace.h:227:2: error: unknown type name '__u64'
/usr/include/asm/ptrace.h:228:2: error: unknown type name '__u64'
/usr/include/asm/ptrace.h:229:2: error: unknown type name '__u64'


This is reproducable with kernel-2.6.37-0.rc8.git3.1.fc15 and kernel-2.6.38-1.fc15
Comment 1 Kyle McMartin 2011-03-29 21:28:55 EDT
Can you post a link to a scratch build with the kernel-headers rpm so I can take a look at it?

Thanks, Kyle
Comment 3 Kyle McMartin 2011-03-31 17:19:20 EDT
Troubling...
kyle@dreadnought:~/tmp/fu% diff -Nur ppc ppc64 | wc -l
0

I'm a bit confused how something is buggering up the includes...
Comment 4 Kyle McMartin 2011-03-31 17:46:51 EDT
(Sorry, for clarification, that's diffing the relevant headers...)
Comment 5 Kyle McMartin 2011-04-03 00:08:37 EDT
Looking further into this, ppc64 succeeds because it doesn't actually build anything... I suspect this is is actually a bug of somesort in openbios's ppc support, since I can't see anything wrong with kernel-headers.
Comment 7 Cole Robinson 2012-05-29 10:23:50 EDT
F15 is close to end of life, and openbios is retired in fedora anyways, so closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.